import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'of-add-dashboard-dialog',
  templateUrl: './add-dashboard-dialog.component.html',
  styleUrls: ['./add-dashboard-dialog.component.scss']
})
export class AddDashboardDialogComponent implements OnInit {

  private searchWord;
  private dashboards;
  private staticDashboards;

  constructor() { }

  ngOnInit() {
    this.staticDashboards = [
      {
        id: '0',
        name: 'Dashboard1',
      },
      {
        id: '1',
        name: 'Dashboard2',
      },
      {
        id: '2',
        name: 'Dashboard3',
      },
      {
        id: '3',
        name: 'Dashboard4',
      },
      {
        id: '0',
        name: 'Dashboard1',
      },
      {
        id: '1',
        name: 'Dashboard2',
      },
      {
        id: '2',
        name: 'Dashboard3',
      },
      {
        id: '3',
        name: 'Dashboard4',
      },
      {
        id: '0',
        name: 'Dashboard1',
      },
      {
        id: '1',
        name: 'Dashboard2',
      },
      {
        id: '2',
        name: 'Dashboard3',
      },
      {
        id: '3',
        name: 'Dashboard4',
      },
    ];
    this.dashboards = this.staticDashboards;
  }

  handleSearch(v: any) {
    const tempArr = new Array();
    for (const dashboard of this.staticDashboards) {
      if (dashboard.name.indexOf(v) !== -1) {
        tempArr.push(dashboard);
      }
    }
    this.dashboards = tempArr;
  }

  handleNewDashboard(v: any) {
    this.searchWord = '';
    for (const dashboard of this.staticDashboards) {
      if (dashboard.name === v) {
        return;
      }
    }
    // temporary
    const newDash = {
      id: '5',
      name: v
    };
    this.staticDashboards.push(newDash);

    this.handleSearch('');
  }

  handleCleanSearch() {
    this.searchWord = '';
    this.handleSearch('');
  }
}
