import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TargetModule } from 'packages/target/target.module';

import { MaterialModule } from 'packages/commons/material/material.module';
import { SubMenubarModule } from 'packages/commons/component/sub-menubar/sub-menubar.module';

import { TargetsPageRoutingModule } from './targets-page-routing.module';
import { TargetsPageComponent } from './targets-page.component';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    TargetsPageRoutingModule,
    TargetModule
  ],
  declarations: [
    TargetsPageComponent
  ]
})
export class TargetsPageModule { }
