import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MaterialModule } from 'packages/commons/material/material.module';

import { NotificationModule } from 'packages/notification/notification.module';

import { HeaderComponent } from './header.component';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    NotificationModule,
  ],
  declarations: [
    HeaderComponent
  ],
  exports: [
    HeaderComponent
  ]
})
export class HeaderModule { }
