import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

import { MaterialModule } from 'packages/commons/material/material.module';
import { SubMenubarComponent } from './sub-menubar.component';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    RouterModule
  ],
  declarations: [
    SubMenubarComponent,
  ],
  exports: [
    SubMenubarComponent,
  ]
})
export class SubMenubarModule { }
