import { Zone } from './Zone';
import { Port } from './Port';

export interface Host {
    id?: number;
    ip: string;
    mac: number;
    os: string;
    discoveredDate?: Date;
    zone?: Zone;

    ports: Map<number, Port> | null;
}
