import { RPCError } from 'packages/core/rpc/error';

import { NoAuthProbe } from '../../model';

export interface State {
  error: RPCError | null;
  pending: boolean;
  noAuthProbes: NoAuthProbe[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  noAuthProbes: null,
};
