import { RPCError } from 'packages/core/rpc/error';
import { Notification } from '../../model';

export interface State {
  error: RPCError | null;
  pending: boolean;
  notification: Notification;
}

export const initialState: State = {
  error: null,
  pending: false,
  notification: null,
};
